RwLockMode (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.util, enum: RwLockMode

Package org.apache.hadoop.hdfs.util

# Enum Class RwLockMode

java.lang.Object
java.lang.Enum<RwLockMode>
org.apache.hadoop.hdfs.util.RwLockMode

All Implemented Interfaces:
  `Serializable`, `Comparable<RwLockMode>`, `Constable`

public enum RwLockMode extends Enum<RwLockMode>
This lock mode is used for FGL.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BM`
  `FS`
  `GLOBAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RwLockMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RwLockMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GLOBAL

    public static final RwLockMode GLOBAL

  - ### FS

    public static final RwLockMode FS

  - ### BM

    public static final RwLockMode BM

- ## Method Details

  - ### values

    public static RwLockMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RwLockMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null